ByteTrackingIndexOutput (Lucene 10.5.1 misc API)
Description: declaration: package: org.apache.lucene.misc.store, class: ByteTrackingIndexOutput

Package org.apache.lucene.misc.store

# Class ByteTrackingIndexOutput

java.lang.Object
org.apache.lucene.store.DataOutput
org.apache.lucene.store.IndexOutput
org.apache.lucene.store.FilterIndexOutput
org.apache.lucene.misc.store.ByteTrackingIndexOutput

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ByteTrackingIndexOutput extends FilterIndexOutput
An `IndexOutput` that wraps another instance and tracks the number of bytes written

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.store.FilterIndexOutput

  `out`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ByteTrackingIndexOutput(IndexOutput out, AtomicLong byteTracker)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`

  ### Methods inherited from class org.apache.lucene.store.FilterIndexOutput

  `getChecksum, getDelegate, getFilePointer, unwrap, writeByte, writeBytes`

  ### Methods inherited from class org.apache.lucene.store.IndexOutput

  `alignFilePointer, alignOffset, getName, toString`

  ### Methods inherited from class org.apache.lucene.store.DataOutput

  `copyBytes, writeBytes, writeGroupVInts, writeGroupVInts, writeInt, writeLong, writeMapOfStrings, writeSetOfStrings, writeShort, writeString, writeVInt, writeVLong, writeZInt, writeZLong`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByteTrackingIndexOutput

    protected ByteTrackingIndexOutput(IndexOutput out, AtomicLong byteTracker)

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `FilterIndexOutput`
    Throws:
      `IOException`